// Copyright (c) 2008, NTT DATA Corporation.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace TERASOLUNA.Fw.ClientUT
{
    /// <summary>
    /// Constructor のテストで利用する IContainer のスタブクラスです。
    /// </summary>
    public class EventController_IContainerStub01 : IContainer
    {
        private IComponent _component;

        public IComponent Component
        {
            get { return _component; }
            set { _component = value; }
        }

        public void Add(IComponent component, string name)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        public void Add(IComponent component)
        {
            this._component = component;
        }

        public ComponentCollection Components
        {
            get { throw new Exception("The method or operation is not implemented."); }
        }

        public void Remove(IComponent component)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        public void Dispose()
        {
            throw new Exception("The method or operation is not implemented.");
        }
    }
}
